JSON.SqlDateTypeAdapter (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.client

## Class JSON.SqlDateTypeAdapter

- java.lang.Object
- - com.google.gson.TypeAdapter<Date>
  - - com.cloudera.api.swagger.client.JSON.SqlDateTypeAdapter

- Enclosing class:
    JSON

      public static class JSON.SqlDateTypeAdapter
      extends com.google.gson.TypeAdapter<Date>

  Gson TypeAdapter for java.sql.Date type If the dateFormat is null, a simple "yyyy-MM-dd" format will be used (more efficient than SimpleDateFormat).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SqlDateTypeAdapter()`
    `SqlDateTypeAdapter(DateFormat dateFormat)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `read(com.google.gson.stream.JsonReader in)`
    `void` | `setFormat(DateFormat dateFormat)`
    `void` | `write(com.google.gson.stream.JsonWriter out, Date date)`

    - ### Methods inherited from class com.google.gson.TypeAdapter

      `fromJson, fromJson, fromJsonTree, nullSafe, toJson, toJson, toJsonTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SqlDateTypeAdapter

          public SqlDateTypeAdapter()

    - #### SqlDateTypeAdapter

          public SqlDateTypeAdapter(DateFormat dateFormat)

  - ### Method Detail

    - #### setFormat

          public void setFormat(DateFormat dateFormat)

    - #### write

          public void write(com.google.gson.stream.JsonWriter out,
                            Date date)
                     throws IOException

      Specified by:
        `write` in class `com.google.gson.TypeAdapter<Date>`
      Throws:
        `IOException`

    - #### read

          public Date read(com.google.gson.stream.JsonReader in)
                    throws IOException

      Specified by:
        `read` in class `com.google.gson.TypeAdapter<Date>`
      Throws:
        `IOException`

Copyright © 2026. All rights reserved.